Package org.eclipse.ecf.core.security

# Interface IConnectInitiatorPolicy

All Superinterfaces:
  `IContainerPolicy`

public interface IConnectInitiatorPolicy extends IContainerPolicy
Policy handler for connect initiator (clients).

## Method Summary

Modifier and Type
Method
Description
`Object`
`createConnectData(IContainer container, ID targetID, IConnectContext context)`
Create connect data for given IContainer, given targetID and given context
`int`
`getConnectTimeout()`
Get connect timeout (in ms)

### Methods inherited from interface org.eclipse.ecf.core.security.IContainerPolicy

`refresh`

## Method Details

### createConnectData

Object createConnectData(IContainer container, ID targetID, IConnectContext context)
Create connect data for given IContainer, given targetID and given context

Parameters:
  `container` - the container that is doing the connecting
  `targetID` - the target ID from `IContainer.connect(ID, IConnectContext)`
  `context` - from `IContainer.connect(ID, IConnectContext)`
Returns:
  Object that will be used as data for the connect call

### getConnectTimeout

int getConnectTimeout()
Get connect timeout (in ms)

Returns:
  int connect timeout in ms